Index: src/lgt/CMakeLists.txt
===================================================================
--- src/lgt/CMakeLists.txt	(revision 54114)
+++ src/lgt/CMakeLists.txt	(working copy)
@@ -6,7 +6,7 @@
   ${CURSOR_INCLUDE_DIRS}
   ${CMAKE_CURRENT_SOURCE_DIR}
   )
-LIST(REMOVE_DUPLICATES LGT_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES LGT_INCLUDE_DIRS)
 include_directories(${LGT_INCLUDE_DIRS})
 
 set(lgt_SOURCES
@@ -30,8 +30,8 @@
   )
 
 if(HAVE_TERMLIB)
-  BRLCAD_ADDEXEC(lgt "${lgt_SOURCES}" "librt;libfb;libtermio;libvfont;libcursor;${M_LIBRARY}")
-  SET_TARGET_PROPERTIES(lgt PROPERTIES COMPILE_DEFINITIONS "BEHIND_ME_TOL=0.05")
+  brlcad_addexec(lgt "${lgt_SOURCES}" "librt;libfb;libtermio;libvfont;libcursor;${M_LIBRARY}")
+  set_target_properties(lgt PROPERTIES COMPILE_DEFINITIONS "BEHIND_ME_TOL=0.05")
 
 endif(HAVE_TERMLIB)
 set(lgt_ignore_files
@@ -45,8 +45,8 @@
   texture.h
   tree.h
   )
-CMAKEFILES(${lgt_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${lgt_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/fb/tests/CMakeLists.txt
===================================================================
--- src/fb/tests/CMakeLists.txt	(revision 54114)
+++ src/fb/tests/CMakeLists.txt	(working copy)
@@ -1,5 +1,5 @@
 if(BRLCAD_ENABLE_TK)
-    BRLCAD_ADDEXEC(fbthreadtest fbthreadtest.c "libfb;${TCL_TK_LIBRARY}" NO_INSTALL LOCAL)
-  SET_TARGET_PROPERTIES(fbthreadtest PROPERTIES COMPILE_DEFINITIONS "IF_TK")
-  SET_TARGET_PROPERTIES(fbthreadtest PROPERTIES LINKER_LANGUAGE C)
+    brlcad_addexec(fbthreadtest fbthreadtest.c "libfb;${TCL_TK_LIBRARY}" NO_INSTALL LOCAL)
+  set_target_properties(fbthreadtest PROPERTIES COMPILE_DEFINITIONS "IF_TK")
+  set_target_properties(fbthreadtest PROPERTIES LINKER_LANGUAGE C)
 endif(BRLCAD_ENABLE_TK)
Index: src/fb/CMakeLists.txt
===================================================================
--- src/fb/CMakeLists.txt	(revision 54114)
+++ src/fb/CMakeLists.txt	(working copy)
@@ -10,70 +10,70 @@
   ${PNG_INCLUDE_DIR}
   ${ZLIB_INCLUDE_DIR}
   )
-BRLCAD_SORT_INCLUDE_DIRS(FBBIN_INCLUDE_DIRS)
+brlcad_sort_include_dirs(FBBIN_INCLUDE_DIRS)
 include_directories(${FBBIN_INCLUDE_DIRS})
 
 if(MSVC)
   add_definitions(-DIF_WGL)
 endif(MSVC)
-BRLCAD_ADDEXEC(bw-fb bw-fb.c libfb)
-BRLCAD_ADDEXEC(cell-fb cell-fb.c "libfb;libbn")
-BRLCAD_ADDEXEC(cmap-fb cmap-fb.c libfb)
-BRLCAD_ADDEXEC(fb-bw fb-bw.c libfb)
-BRLCAD_ADDEXEC(fb-cmap fb-cmap.c libfb)
-BRLCAD_ADDEXEC(fb-fb fb-fb.c libfb)
-BRLCAD_ADDEXEC(fb-orle "fb-orle.c;cmap-crunch.c" "libfb;liborle")
-BRLCAD_ADDEXEC(fb-pix "fb-pix.c;cmap-crunch.c" libfb)
-BRLCAD_ADDEXEC(fb-png "fb-png.c;cmap-crunch.c" "libfb;${PNG_LIBRARY}")
-BRLCAD_ADDEXEC(fb-rle "fb-rle.c;cmap-crunch.c" "libfb;${UTAHRLE_LIBRARY}")
-BRLCAD_ADDEXEC(fbanim fbanim.c libfb)
-BRLCAD_ADDEXEC(fbcbars fbcbars.c libfb)
-BRLCAD_ADDEXEC(fbclear fbclear.c libfb)
-BRLCAD_ADDEXEC(fbcmap fbcmap.c libfb)
-BRLCAD_ADDEXEC(fbcmrot fbcmrot.c libfb)
+brlcad_addexec(bw-fb bw-fb.c libfb)
+brlcad_addexec(cell-fb cell-fb.c "libfb;libbn")
+brlcad_addexec(cmap-fb cmap-fb.c libfb)
+brlcad_addexec(fb-bw fb-bw.c libfb)
+brlcad_addexec(fb-cmap fb-cmap.c libfb)
+brlcad_addexec(fb-fb fb-fb.c libfb)
+brlcad_addexec(fb-orle "fb-orle.c;cmap-crunch.c" "libfb;liborle")
+brlcad_addexec(fb-pix "fb-pix.c;cmap-crunch.c" libfb)
+brlcad_addexec(fb-png "fb-png.c;cmap-crunch.c" "libfb;${PNG_LIBRARY}")
+brlcad_addexec(fb-rle "fb-rle.c;cmap-crunch.c" "libfb;${UTAHRLE_LIBRARY}")
+brlcad_addexec(fbanim fbanim.c libfb)
+brlcad_addexec(fbcbars fbcbars.c libfb)
+brlcad_addexec(fbclear fbclear.c libfb)
+brlcad_addexec(fbcmap fbcmap.c libfb)
+brlcad_addexec(fbcmrot fbcmrot.c libfb)
 
 if(HAVE_TERMLIB)
-  BRLCAD_ADDEXEC(fbcolor fbcolor.c "libfb;libtermio")
+  brlcad_addexec(fbcolor fbcolor.c "libfb;libtermio")
 endif(HAVE_TERMLIB)
-BRLCAD_ADDEXEC(fbfade "fbfade.c;ioutil.c" libfb)
-BRLCAD_ADDEXEC(fbframe fbframe.c libfb)
-BRLCAD_ADDEXEC(fbfree fbfree.c libfb)
-BRLCAD_ADDEXEC(fbgamma fbgamma.c "libfb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(fbgammamod fbgammamod.c "libfb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(fbgrid fbgrid.c libfb)
-BRLCAD_ADDEXEC(fbhelp fbhelp.c libfb)
-BRLCAD_ADDEXEC(fblabel fblabel.c libfb)
-BRLCAD_ADDEXEC(fbline fbline.c libfb)
+brlcad_addexec(fbfade "fbfade.c;ioutil.c" libfb)
+brlcad_addexec(fbframe fbframe.c libfb)
+brlcad_addexec(fbfree fbfree.c libfb)
+brlcad_addexec(fbgamma fbgamma.c "libfb;${M_LIBRARY}")
+brlcad_addexec(fbgammamod fbgammamod.c "libfb;${M_LIBRARY}")
+brlcad_addexec(fbgrid fbgrid.c libfb)
+brlcad_addexec(fbhelp fbhelp.c libfb)
+brlcad_addexec(fblabel fblabel.c libfb)
+brlcad_addexec(fbline fbline.c libfb)
 if(HAVE_TERMLIB)
-  BRLCAD_ADDEXEC(fbpoint fbpoint.c "libfb;libbu;libtermio;libpkg")
+  brlcad_addexec(fbpoint fbpoint.c "libfb;libbu;libtermio;libpkg")
 endif(HAVE_TERMLIB)
-BRLCAD_ADDEXEC(fbscanplot fbscanplot.c libfb)
-BRLCAD_ADDEXEC(fbstretch "fbstretch.c;ioutil.c" libfb)
+brlcad_addexec(fbscanplot fbscanplot.c libfb)
+brlcad_addexec(fbstretch "fbstretch.c;ioutil.c" libfb)
 if(HAVE_TERMLIB)
-  BRLCAD_ADDEXEC(fbzoom fbzoom.c "libfb;libtermio")
+  brlcad_addexec(fbzoom fbzoom.c "libfb;libtermio")
 endif(HAVE_TERMLIB)
-BRLCAD_ADDEXEC(gif-fb "gif-fb.c;ioutil.c" libfb)
-BRLCAD_ADDEXEC(gif2fb gif2fb.c libfb)
-BRLCAD_ADDEXEC(orle-fb orle-fb.c "libfb;liborle")
-BRLCAD_ADDEXEC(pix-fb pix-fb.c libfb)
-BRLCAD_ADDEXEC(pixautosize pixautosize.c libfb)
-BRLCAD_ADDEXEC(pixflip-fb pixflip-fb.c libfb)
-BRLCAD_ADDEXEC(pl-fb pl-fb.c libfb)
-BRLCAD_ADDEXEC(png-fb png-fb.c "libfb;${PNG_LIBRARY}")
-BRLCAD_ADDEXEC(polar-fb polar-fb.c "libfb;${M_LIBRARY}")
+brlcad_addexec(gif-fb "gif-fb.c;ioutil.c" libfb)
+brlcad_addexec(gif2fb gif2fb.c libfb)
+brlcad_addexec(orle-fb orle-fb.c "libfb;liborle")
+brlcad_addexec(pix-fb pix-fb.c libfb)
+brlcad_addexec(pixautosize pixautosize.c libfb)
+brlcad_addexec(pixflip-fb pixflip-fb.c libfb)
+brlcad_addexec(pl-fb pl-fb.c libfb)
+brlcad_addexec(png-fb png-fb.c "libfb;${PNG_LIBRARY}")
+brlcad_addexec(polar-fb polar-fb.c "libfb;${M_LIBRARY}")
 if(HAVE_TERMLIB)
-  BRLCAD_ADDEXEC(pp-fb pp-fb.c "libfb;libtermio")
+  brlcad_addexec(pp-fb pp-fb.c "libfb;libtermio")
 endif(HAVE_TERMLIB)
-BRLCAD_ADDEXEC(rle-fb rle-fb.c "libfb;${UTAHRLE_LIBRARY}")
+brlcad_addexec(rle-fb rle-fb.c "libfb;${UTAHRLE_LIBRARY}")
 if(CPP_DLL_DEFINES)
-  SET_PROPERTY(TARGET rle-fb APPEND PROPERTY COMPILE_DEFINITIONS "RLE_DLL_IMPORTS")
+  set_property(TARGET rle-fb APPEND PROPERTY COMPILE_DEFINITIONS "RLE_DLL_IMPORTS")
 endif(CPP_DLL_DEFINES)
 
-BRLCAD_ADDEXEC(spm-fb spm-fb.c "libfb;libbn")
+brlcad_addexec(spm-fb spm-fb.c "libfb;libbn")
 
 add_subdirectory(tests)
 
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libdm/CMakeLists.txt
===================================================================
--- src/libdm/CMakeLists.txt	(revision 54114)
+++ src/libdm/CMakeLists.txt	(working copy)
@@ -15,7 +15,7 @@
 # local includes
 set(DM_LOCAL_INCLUDE_DIRS ${PNG_INCLUDE_DIR})
 
-BRLCAD_LIB_INCLUDE_DIRS(dm DM_INCLUDE_DIRS DM_LOCAL_INCLUDE_DIRS)
+brlcad_lib_include_dirs(dm DM_INCLUDE_DIRS DM_LOCAL_INCLUDE_DIRS)
 
 # Initialize libdm_DEFINES in case of reconfiguration
 set(libdm_DEFINES "")
@@ -85,7 +85,7 @@
   vers.c
   )
 
-BRLCAD_ADDLIB(libdm "${LIBDM_SRCS}" "libged;librt;libfb;${X11_LIBRARIES};${X11_Xi_LIB};${DM_TKLIB};${Carbon_LIBRARIES}")
+brlcad_addlib(libdm "${LIBDM_SRCS}" "libged;librt;libfb;${X11_LIBRARIES};${X11_Xi_LIB};${DM_TKLIB};${Carbon_LIBRARIES}")
 set_target_properties(libdm PROPERTIES VERSION 20.0.1 SOVERSION 20)
 
 if(BRLCAD_BUILD_LOCAL_TK AND BRLCAD_ENABLE_TK)
@@ -99,9 +99,9 @@
   dm-tk.c
   TODO
   )
-CMAKEFILES(${libdm_ignore_files})
-CMAKEFILES(dm_util.h)
-CMAKEFILES(Makefile.am)
+cmakefiles(${libdm_ignore_files})
+cmakefiles(dm_util.h)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/liborle/CMakeLists.txt
===================================================================
--- src/liborle/CMakeLists.txt	(revision 54114)
+++ src/liborle/CMakeLists.txt	(working copy)
@@ -6,12 +6,12 @@
 # local includes
 set(ORLE_LOCAL_INCLUDE_DIRS ${UTAHRLE_INCLUDE_DIR})
 
-BRLCAD_LIB_INCLUDE_DIRS(orle ORLE_INCLUDE_DIRS ORLE_LOCAL_INCLUDE_DIRS)
+brlcad_lib_include_dirs(orle ORLE_INCLUDE_DIRS ORLE_LOCAL_INCLUDE_DIRS)
 
-BRLCAD_ADDLIB(liborle rle.c "NONE")
-SET_TARGET_PROPERTIES(liborle PROPERTIES VERSION 20.0.1 SOVERSION 20)
+brlcad_addlib(liborle rle.c "NONE")
+set_target_properties(liborle PROPERTIES VERSION 20.0.1 SOVERSION 20)
 
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libpc/CMakeLists.txt
===================================================================
--- src/libpc/CMakeLists.txt	(revision 54114)
+++ src/libpc/CMakeLists.txt	(working copy)
@@ -24,7 +24,7 @@
 
 set(PC_LOCAL_INCLUDE_DIRS ${CMAKE_SOURCE_DIR}/src/other/boost)
 
-BRLCAD_LIB_INCLUDE_DIRS(pc PC_INCLUDE_DIRS PC_LOCAL_INCLUDE_DIRS)
+brlcad_lib_include_dirs(pc PC_INCLUDE_DIRS PC_LOCAL_INCLUDE_DIRS)
 
 set(LIBPC_NOINST_HDRS
   pcBasic.h
@@ -59,8 +59,8 @@
   -DOBJ_BREP=1
   )
 
-BRLCAD_ADDLIB(libpc "${LIBPC_SOURCES}" "libbu;${OPENNURBS_LIBRARY};${STDCXX_LIBRARIES}" NOSTRICTCXX)
-SET_TARGET_PROPERTIES(libpc PROPERTIES VERSION 20.0.1 SOVERSION 20)
+brlcad_addlib(libpc "${LIBPC_SOURCES}" "libbu;${OPENNURBS_LIBRARY};${STDCXX_LIBRARIES}" NOSTRICTCXX)
+set_target_properties(libpc PROPERTIES VERSION 20.0.1 SOVERSION 20)
 
 #BRLCAD_ADDEXEC(solver_test solver_test.cpp libpc NO_INSTALL)
 #BRLCAD_ADDEXEC(vm_test vm_test.cpp libpc NO_INSTALL)
@@ -84,8 +84,8 @@
   solver_test.cpp
   vm_test.cpp
   )
-CMAKEFILES(${pc_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${pc_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/adrt/CMakeLists.txt
===================================================================
--- src/adrt/CMakeLists.txt	(revision 54114)
+++ src/adrt/CMakeLists.txt	(working copy)
@@ -1,7 +1,7 @@
 set(ADRT_INCLUDE_DIRS
   ${GCV_INCLUDE_DIRS}
   )
-LIST(REMOVE_DUPLICATES ADRT_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES ADRT_INCLUDE_DIRS)
 include_directories(${ADRT_INCLUDE_DIRS})
 
 include_directories(
@@ -38,7 +38,7 @@
   librender/texture_perlin.c
   librender/texture_stack.c
   )
-BRLCAD_ADDLIB(librender "${LIBRENDER_SRCS}" libgcv)
+brlcad_addlib(librender "${LIBRENDER_SRCS}" libgcv)
 
 set(tie_HDRS
   adrt.h
@@ -51,10 +51,10 @@
   librender/texture_internal.h
   )
 install(FILES ${tie_HDRS} DESTINATION include/tie)
-CMAKEFILES(${tie_HDRS})
+cmakefiles(${tie_HDRS})
 
 # Tcl/Tk based ISST
-INCLUDE_DIRECTORIES(
+include_directories(
   ${TOGL_INCLUDE_DIRS}
   ${OPENGL_INCLUDE_DIR_GL}
   ${OPENGL_INCLUDE_DIR_GLX}
@@ -74,7 +74,7 @@
     LIBRARY DESTINATION ${LIB_DIR}/
     ARCHIVE DESTINATION ${LIB_DIR}/isst0.1)
   include(${BRLCAD_SOURCE_DIR}/misc/CMake/TCL_PKGINDEX.cmake)
-  TCL_PKGINDEX(issttcltk isst "0.1")
+  tcl_pkgindex(issttcltk isst "0.1")
   # TODO - need to make this configure line into a real target ala
   # BRLCAD_ADDDATA in order for the build dir copy to be updated when it
   # is changed.
@@ -93,7 +93,7 @@
   endif(NOT CMAKE_CONFIGURATION_TYPES)
   install(PROGRAMS ${isst_script} DESTINATION bin)
 endif(TOGL_LIBRARIES AND BRLCAD_ENABLE_OPENGL)
-CMAKEFILES(isst_tcltk.c)
+cmakefiles(isst_tcltk.c)
 
 set(adrt_ignore_files
   isst.h
@@ -104,8 +104,8 @@
   slave
   tienet.h
   )
-CMAKEFILES(${adrt_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${adrt_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/archer/images/CMakeLists.txt
===================================================================
--- src/tclscripts/archer/images/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/archer/images/CMakeLists.txt	(working copy)
@@ -264,8 +264,8 @@
   wizard.png
   )
 
-BRLCAD_ADDDATA(archer_images tclscripts/archer/images)
-CMAKEFILES(Makefile.am)
+brlcad_adddata(archer_images tclscripts/archer/images)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/archer/CMakeLists.txt
===================================================================
--- src/tclscripts/archer/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/archer/CMakeLists.txt	(working copy)
@@ -40,12 +40,12 @@
   itk_redefines.tcl
   tabwindow.itk
   )
-BRLCAD_ADDDATA(archer_TCLSCRIPTS tclscripts/archer)
-pkgIndex_BUILD(archer tclscripts/archer)
-tclIndex_BUILD(archer tclscripts/archer)
+brlcad_adddata(archer_TCLSCRIPTS tclscripts/archer)
+pkgindex_build(archer tclscripts/archer)
+tclindex_build(archer tclscripts/archer)
 
-CMAKEFILES(pkgIndex.tcl tclIndex)
-CMAKEFILES(Makefile.am)
+cmakefiles(pkgIndex.tcl tclIndex)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/rtwizard/CMakeLists.txt
===================================================================
--- src/tclscripts/rtwizard/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/rtwizard/CMakeLists.txt	(working copy)
@@ -37,16 +37,16 @@
 endif(HAVE_SYMLINK)
 
 install(PROGRAMS rtwizard.tcl DESTINATION ${BIN_DIR} RENAME rtwizard)
-DISTCLEAN(${rtwizard_cmd_outputs})
+distclean(${rtwizard_cmd_outputs})
 
 set(rtwizard_TCLSCRIPTS
   RaytraceWizard.tcl
   rtwizard.tcl
   rtwizard.bat
   )
-BRLCAD_ADDDATA(rtwizard_TCLSCRIPTS tclscripts/rtwizard)
-pkgIndex_BUILD(rtwizard tclscripts/rtwizard)
-tclIndex_BUILD(rtwizard tclscripts/rtwizard)
+brlcad_adddata(rtwizard_TCLSCRIPTS tclscripts/rtwizard)
+pkgindex_build(rtwizard tclscripts/rtwizard)
+tclindex_build(rtwizard tclscripts/rtwizard)
 
 # Examples
 
@@ -57,7 +57,7 @@
   examples/PictureTypeA/title.txt
   examples/PictureTypeA/preview.small.gif
   )
-BRLCAD_ADDDATA(PictureTypeA_DATA tclscripts/rtwizard/examples/PictureTypeA)
+brlcad_adddata(PictureTypeA_DATA tclscripts/rtwizard/examples/PictureTypeA)
 
 set(PictureTypeB_DATA
   examples/PictureTypeB/desc.txt
@@ -66,7 +66,7 @@
   examples/PictureTypeB/title.txt
   examples/PictureTypeB/preview.small.gif
   )
-BRLCAD_ADDDATA(PictureTypeB_DATA tclscripts/rtwizard/examples/PictureTypeB)
+brlcad_adddata(PictureTypeB_DATA tclscripts/rtwizard/examples/PictureTypeB)
 
 set(PictureTypeC_DATA
   examples/PictureTypeC/desc.txt
@@ -75,7 +75,7 @@
   examples/PictureTypeC/title.txt
   examples/PictureTypeC/preview.small.gif
   )
-BRLCAD_ADDDATA(PictureTypeC_DATA tclscripts/rtwizard/examples/PictureTypeC)
+brlcad_adddata(PictureTypeC_DATA tclscripts/rtwizard/examples/PictureTypeC)
 
 set(PictureTypeD_DATA
   examples/PictureTypeD/desc.txt
@@ -84,7 +84,7 @@
   examples/PictureTypeD/title.txt
   examples/PictureTypeD/preview.small.gif
   )
-BRLCAD_ADDDATA(PictureTypeD_DATA tclscripts/rtwizard/examples/PictureTypeD)
+brlcad_adddata(PictureTypeD_DATA tclscripts/rtwizard/examples/PictureTypeD)
 
 set(PictureTypeE_DATA
   examples/PictureTypeE/desc.txt
@@ -93,7 +93,7 @@
   examples/PictureTypeE/title.txt
   examples/PictureTypeE/preview.small.gif
   )
-BRLCAD_ADDDATA(PictureTypeE_DATA tclscripts/rtwizard/examples/PictureTypeE)
+brlcad_adddata(PictureTypeE_DATA tclscripts/rtwizard/examples/PictureTypeE)
 
 set(PictureTypeF_DATA
   examples/PictureTypeF/desc.txt
@@ -102,10 +102,10 @@
   examples/PictureTypeF/title.txt
   examples/PictureTypeF/preview.small.gif
   )
-BRLCAD_ADDDATA(PictureTypeF_DATA tclscripts/rtwizard/examples/PictureTypeF)
+brlcad_adddata(PictureTypeF_DATA tclscripts/rtwizard/examples/PictureTypeF)
 
-CMAKEFILES(examples pkgIndex.tcl tclIndex)
-CMAKEFILES(Makefile.am)
+cmakefiles(examples pkgIndex.tcl tclIndex)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/rtwizard/lib/CMakeLists.txt
===================================================================
--- src/tclscripts/rtwizard/lib/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/rtwizard/lib/CMakeLists.txt	(working copy)
@@ -20,11 +20,11 @@
 	PictureTypeF.itcl
 	Wizard.itk
 	)
-BRLCAD_ADDDATA(rtwizard_lib_TCLSCRIPTS tclscripts/rtwizard/lib)
-pkgIndex_BUILD(rtwizard_lib tclscripts/rtwizard/lib)
-tclIndex_BUILD(rtwizard_lib tclscripts/rtwizard/lib)
+brlcad_adddata(rtwizard_lib_TCLSCRIPTS tclscripts/rtwizard/lib)
+pkgindex_build(rtwizard_lib tclscripts/rtwizard/lib)
+tclindex_build(rtwizard_lib tclscripts/rtwizard/lib)
 
-CMAKEFILES(Makefile.am pkgIndex.tcl tclIndex)
+cmakefiles(Makefile.am pkgIndex.tcl tclIndex)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/igraph/CMakeLists.txt
===================================================================
--- src/tclscripts/igraph/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/igraph/CMakeLists.txt	(working copy)
@@ -2,12 +2,12 @@
   GraphEditor.tcl
   igraph.tcl
   )
-BRLCAD_ADDDATA(igraph_TCLSCRIPTS tclscripts/igraph)
-pkgIndex_BUILD(igraph tclscripts/igraph)
-tclIndex_BUILD(igraph tclscripts/igraph)
+brlcad_adddata(igraph_TCLSCRIPTS tclscripts/igraph)
+pkgindex_build(igraph tclscripts/igraph)
+tclindex_build(igraph tclscripts/igraph)
 
-CMAKEFILES(pkgIndex.tcl tclIndex)
-CMAKEFILES(Makefile.am)
+cmakefiles(pkgIndex.tcl tclIndex)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/mged/CMakeLists.txt
===================================================================
--- src/tclscripts/mged/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/mged/CMakeLists.txt	(working copy)
@@ -84,10 +84,10 @@
   tree.tcl
   xclone.tcl
   )
-BRLCAD_ADDDATA(mged_TCLSCRIPTS tclscripts/mged)
+brlcad_adddata(mged_TCLSCRIPTS tclscripts/mged)
 # no packages in here (so far)
 # pkgIndex_BUILD(mged tclscripts/mged)
-tclIndex_BUILD(mged tclscripts/mged)
+tclindex_build(mged tclscripts/mged)
 
 set(mged_tcl_DATA
   l_i0_v0_s0.gif
@@ -134,10 +134,10 @@
   mike-tux.ppm
   mike-tux.png
   )
-BRLCAD_ADDDATA(mged_tcl_DATA tclscripts/mged)
+brlcad_adddata(mged_tcl_DATA tclscripts/mged)
 
-CMAKEFILES(rrmb.tcl pkgIndex.tcl tclIndex)
-CMAKEFILES(Makefile.am)
+cmakefiles(rrmb.tcl pkgIndex.tcl tclIndex)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/CMakeLists.txt
===================================================================
--- src/tclscripts/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/CMakeLists.txt	(working copy)
@@ -1,7 +1,7 @@
 # Convenience macros for building pkgIndex.tcl and tclIndex files
 
-MACRO(pkgIndex_BUILD name targetdir)
-  BRLCAD_GET_DIR_LIST_CONTENTS(DATA_TARGETS "${CMAKE_CURRENT_BINARY_DIR}" data_target_list)
+macro(pkgIndex_BUILD name targetdir)
+  brlcad_get_dir_list_contents(DATA_TARGETS "${CMAKE_CURRENT_BINARY_DIR}" data_target_list)
   string(REGEX REPLACE "/" "_" targetprefix ${targetdir})
   if(CMAKE_CONFIGURATION_TYPES)
     set(pkgIndex_outdir "${CMAKE_BINARY_DIR}/${CMAKE_CFG_INTDIR}/${DATA_DIR}/${targetdir}")
@@ -19,10 +19,10 @@
   set(pkgIndex_target_list ${pkgIndex_target_list} ${name}_pkgIndex.tcl)
   list(REMOVE_DUPLICATES pkgIndex_target_list)
   set(pkgIndex_target_list "${pkgIndex_target_list}" CACHE STRING "pkgIndex target list" FORCE)
-ENDMACRO(pkgIndex_BUILD name targetdir)
+endmacro(pkgIndex_BUILD name targetdir)
 
-MACRO(tclIndex_BUILD name targetdir)
-  BRLCAD_GET_DIR_LIST_CONTENTS(DATA_TARGETS "${CMAKE_CURRENT_BINARY_DIR}" data_target_list)
+macro(tclIndex_BUILD name targetdir)
+  brlcad_get_dir_list_contents(DATA_TARGETS "${CMAKE_CURRENT_BINARY_DIR}" data_target_list)
   string(REGEX REPLACE "/" "_" targetprefix ${targetdir})
   if(CMAKE_CONFIGURATION_TYPES)
     set(tclIndex_outdir "${CMAKE_BINARY_DIR}/${CMAKE_CFG_INTDIR}/${DATA_DIR}/${targetdir}")
@@ -40,7 +40,7 @@
   set(tclIndex_target_list ${tclIndex_target_list} ${name}_tclIndex)
   list(REMOVE_DUPLICATES tclIndex_target_list)
   set(tclIndex_target_list "${tclIndex_target_list}" CACHE STRING "tclIndex target list" FORCE)
-ENDMACRO(tclIndex_BUILD name targetdir)
+endmacro(tclIndex_BUILD name targetdir)
 
 mark_as_advanced(pkgIndex_target_list)
 mark_as_advanced(tclIndex_target_list)
@@ -77,11 +77,11 @@
   mouse.tcl
   vmath.tcl
   )
-BRLCAD_ADDDATA(tclscripts_TCLSCRIPTS tclscripts)
-pkgIndex_BUILD(tclscripts tclscripts)
-tclIndex_BUILD(tclscripts tclscripts)
+brlcad_adddata(tclscripts_TCLSCRIPTS tclscripts)
+pkgindex_build(tclscripts tclscripts)
+tclindex_build(tclscripts tclscripts)
 
-CMAKEFILES(README Makefile.am pkgIndex.tcl tclIndex hv3_man_browser_test.tcl)
+cmakefiles(README Makefile.am pkgIndex.tcl tclIndex hv3_man_browser_test.tcl)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/boteditor/CMakeLists.txt
===================================================================
--- src/tclscripts/boteditor/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/boteditor/CMakeLists.txt	(working copy)
@@ -3,8 +3,8 @@
   botPropertyBox.tcl
   botTools.tcl
   )
-BRLCAD_ADDDATA(boteditor_TCLSCRIPTS tclscripts/boteditor)
-CMAKEFILES(Makefile.am)
+brlcad_adddata(boteditor_TCLSCRIPTS tclscripts/boteditor)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/hv3/CMakeLists.txt
===================================================================
--- src/tclscripts/hv3/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/hv3/CMakeLists.txt	(working copy)
@@ -7,9 +7,9 @@
   hv3_util.tcl
   snit.tcl
   )
-BRLCAD_ADDDATA(hv3_TCLSCRIPTS tclscripts/hv3)
-pkgIndex_BUILD(hv3 tclscripts/hv3)
-tclIndex_BUILD(hv3 tclscripts/hv3)
+brlcad_adddata(hv3_TCLSCRIPTS tclscripts/hv3)
+pkgindex_build(hv3 tclscripts/hv3)
+tclindex_build(hv3 tclscripts/hv3)
 install(FILES hv3.man DESTINATION ${DATA_DIR}/doc)
 install(FILES tkhtml.n DESTINATION ${MAN_DIR}/mann)
 set(hv3_ignore_files
@@ -21,8 +21,8 @@
   pkgIndex.tcl
   tclIndex
   )
-CMAKEFILES(${hv3_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${hv3_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/sdialogs/scripts/CMakeLists.txt
===================================================================
--- src/tclscripts/sdialogs/scripts/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/sdialogs/scripts/CMakeLists.txt	(working copy)
@@ -3,10 +3,10 @@
 	listdialog.itk
 	stddlgs.tcl
 )
-BRLCAD_ADDDATA(sdialogs_scripts_TCLSCRIPTS tclscripts/sdialogs/scripts)
-tclIndex_BUILD(sdialogs_scripts tclscripts/sdialogs/scripts)
+brlcad_adddata(sdialogs_scripts_TCLSCRIPTS tclscripts/sdialogs/scripts)
+tclindex_build(sdialogs_scripts tclscripts/sdialogs/scripts)
 
-CMAKEFILES(Makefile.am tclIndex)
+cmakefiles(Makefile.am tclIndex)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/sdialogs/CMakeLists.txt
===================================================================
--- src/tclscripts/sdialogs/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/sdialogs/CMakeLists.txt	(working copy)
@@ -3,11 +3,11 @@
 set(sdialogs_TCLSCRIPTS
   sdialogs.tcl
   )
-BRLCAD_ADDDATA(sdialogs_TCLSCRIPTS tclscripts/sdialogs)
-pkgIndex_BUILD(sdialogs tclscripts/sdialogs)
-tclIndex_BUILD(sdialogs tclscripts/sdialogs)
+brlcad_adddata(sdialogs_TCLSCRIPTS tclscripts/sdialogs)
+pkgindex_build(sdialogs tclscripts/sdialogs)
+tclindex_build(sdialogs tclscripts/sdialogs)
 
-CMAKEFILES(Makefile.am pkgIndex.tcl tclIndex)
+cmakefiles(Makefile.am pkgIndex.tcl tclIndex)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/lib/CMakeLists.txt
===================================================================
--- src/tclscripts/lib/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/lib/CMakeLists.txt	(working copy)
@@ -25,12 +25,12 @@
 	ViewAxesControl.tcl
 	cursor.tcl
 )
-BRLCAD_ADDDATA(lib_TCLSCRIPTS tclscripts/lib)
-pkgIndex_BUILD(lib tclscripts/lib)
-tclIndex_BUILD(lib tclscripts/lib)
+brlcad_adddata(lib_TCLSCRIPTS tclscripts/lib)
+pkgindex_build(lib tclscripts/lib)
+tclindex_build(lib tclscripts/lib)
 
-CMAKEFILES(pkgIndex.tcl tclIndex)
-CMAKEFILES(Makefile.am)
+cmakefiles(pkgIndex.tcl tclIndex)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/pl-dm/CMakeLists.txt
===================================================================
--- src/tclscripts/pl-dm/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/pl-dm/CMakeLists.txt	(working copy)
@@ -3,12 +3,12 @@
   help.tcl
   menu.tcl
   )
-BRLCAD_ADDDATA(pl-dm_TCLSCRIPTS tclscripts/pl-dm)
-pkgIndex_BUILD(pl-dm tclscripts/pl-dm)
-tclIndex_BUILD(pl-dm tclscripts/pl-dm)
+brlcad_adddata(pl-dm_TCLSCRIPTS tclscripts/pl-dm)
+pkgindex_build(pl-dm tclscripts/pl-dm)
+tclindex_build(pl-dm tclscripts/pl-dm)
 
-CMAKEFILES(pkgIndex.tcl tclIndex)
-CMAKEFILES(Makefile.am)
+cmakefiles(pkgIndex.tcl tclIndex)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/geometree/CMakeLists.txt
===================================================================
--- src/tclscripts/geometree/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/geometree/CMakeLists.txt	(working copy)
@@ -2,12 +2,12 @@
   GeometryBrowser.tcl
   geometree.tcl
   )
-BRLCAD_ADDDATA(geometree_TCLSCRIPTS tclscripts/geometree)
-pkgIndex_BUILD(geometree tclscripts/geometree)
-tclIndex_BUILD(geometree tclscripts/geometree)
+brlcad_adddata(geometree_TCLSCRIPTS tclscripts/geometree)
+pkgindex_build(geometree tclscripts/geometree)
+tclindex_build(geometree tclscripts/geometree)
 
-CMAKEFILES(pkgIndex.tcl tclIndex)
-CMAKEFILES(Makefile.am)
+cmakefiles(pkgIndex.tcl tclIndex)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/util/CMakeLists.txt
===================================================================
--- src/tclscripts/util/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/util/CMakeLists.txt	(working copy)
@@ -3,11 +3,11 @@
   getopt.tcl
   luniq.tcl
   )
-BRLCAD_ADDDATA(util_TCLSCRIPTS tclscripts/util)
-pkgIndex_BUILD(util tclscripts/util)
-tclIndex_BUILD(util tclscripts/util)
+brlcad_adddata(util_TCLSCRIPTS tclscripts/util)
+pkgindex_build(util tclscripts/util)
+tclindex_build(util tclscripts/util)
 
-CMAKEFILES(Makefile.am pkgIndex.tcl tclIndex)
+cmakefiles(Makefile.am pkgIndex.tcl tclIndex)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/swidgets/CMakeLists.txt
===================================================================
--- src/tclscripts/swidgets/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/swidgets/CMakeLists.txt	(working copy)
@@ -4,11 +4,11 @@
 set(swidgets_TCLSCRIPTS
   swidgets.tcl
   )
-BRLCAD_ADDDATA(swidgets_TCLSCRIPTS tclscripts/swidgets)
-pkgIndex_BUILD(swidgets tclscripts/swidgets)
-tclIndex_BUILD(swidgets tclscripts/swidgets)
+brlcad_adddata(swidgets_TCLSCRIPTS tclscripts/swidgets)
+pkgindex_build(swidgets tclscripts/swidgets)
+tclindex_build(swidgets tclscripts/swidgets)
 
-CMAKEFILES(Makefile.am pkgIndex.tcl tclIndex)
+cmakefiles(Makefile.am pkgIndex.tcl tclIndex)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/swidgets/images/CMakeLists.txt
===================================================================
--- src/tclscripts/swidgets/images/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/swidgets/images/CMakeLists.txt	(working copy)
@@ -6,9 +6,9 @@
   plus.xbm
   tip.gif
   )
-BRLCAD_ADDDATA(swidgets_image_DATA tclscripts/swidgets/images)
+brlcad_adddata(swidgets_image_DATA tclscripts/swidgets/images)
 
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tclscripts/swidgets/scripts/CMakeLists.txt
===================================================================
--- src/tclscripts/swidgets/scripts/CMakeLists.txt	(revision 54114)
+++ src/tclscripts/swidgets/scripts/CMakeLists.txt	(working copy)
@@ -5,10 +5,10 @@
   tooltip.itk
   tree.itk
   )
-BRLCAD_ADDDATA(swidgets_scripts_TCLSCRIPTS tclscripts/swidgets/scripts)
-tclIndex_BUILD(swidgets_scripts tclscripts/swidgets/scripts)
+brlcad_adddata(swidgets_scripts_TCLSCRIPTS tclscripts/swidgets/scripts)
+tclindex_build(swidgets_scripts tclscripts/swidgets/scripts)
 
-CMAKEFILES(Makefile.am tclIndex)
+cmakefiles(Makefile.am tclIndex)
 
 # Local Variables:
 # tab-width: 8
Index: src/libsysv/CMakeLists.txt
===================================================================
--- src/libsysv/CMakeLists.txt	(revision 54114)
+++ src/libsysv/CMakeLists.txt	(working copy)
@@ -4,7 +4,7 @@
   ${BRLCAD_SOURCE_DIR}/include
   ${TCL_INCLUDE_DIRS}
   )
-BRLCAD_LIB_INCLUDE_DIRS(sysv SYSV_INCLUDE_DIRS "")
+brlcad_lib_include_dirs(sysv SYSV_INCLUDE_DIRS "")
 
 set(LIBSYSV_SOURCES
   memset.c
@@ -22,10 +22,10 @@
   -DHAVE_STRTOK
   )
 
-BRLCAD_ADDLIB(libsysv "${LIBSYSV_SOURCES}" "${TCL_LIBRARY}")
-SET_TARGET_PROPERTIES(libsysv PROPERTIES VERSION 20.0.1 SOVERSION 20)
+brlcad_addlib(libsysv "${LIBSYSV_SOURCES}" "${TCL_LIBRARY}")
+set_target_properties(libsysv PROPERTIES VERSION 20.0.1 SOVERSION 20)
 
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/vfont/CMakeLists.txt
===================================================================
--- src/vfont/CMakeLists.txt	(revision 54114)
+++ src/vfont/CMakeLists.txt	(working copy)
@@ -7,16 +7,16 @@
 
 # local
 set(VFONT_LOCAL_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR})
-BRLCAD_LIB_INCLUDE_DIRS(vfont VFONT_INCLUDE_DIRS VFONT_LOCAL_INCLUDE_DIRS)
+brlcad_lib_include_dirs(vfont VFONT_INCLUDE_DIRS VFONT_LOCAL_INCLUDE_DIRS)
 
-BRLCAD_ADDLIB(libvfont getfont.c libbu)
-SET_TARGET_PROPERTIES(libvfont PROPERTIES VERSION 20.0.1 SOVERSION 20)
+brlcad_addlib(libvfont getfont.c libbu)
+set_target_properties(libvfont PROPERTIES VERSION 20.0.1 SOVERSION 20)
 
-BRLCAD_ADDDATA(fix.6r vfont)
-BRLCAD_ADDDATA(nonie.r.12 vfont)
+brlcad_adddata(fix.6r vfont)
+brlcad_adddata(nonie.r.12 vfont)
 
-CMAKEFILES(vfont.h)
-CMAKEFILES(Makefile.am)
+cmakefiles(vfont.h)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
